[llvm-commits] [TV] r78944 - /television/trunk/autoconf/AutoRegen.sh

Misha Brukman brukman+llvm at gmail.com
Thu Aug 13 14:49:25 PDT 2009


Author: brukman
Date: Thu Aug 13 16:49:25 2009
New Revision: 78944

URL: http://llvm.org/viewvc/llvm-project?rev=78944&view=rev
Log:
Adapted the latest changes from LLVM's AutoRegen.sh script for LLVM-TV.
LLVM-TV uses newer versions of autotools simply because these are the ones I
happen to have on my system, and no one else is modifying LLVM-TV at this time.

Modified:
    television/trunk/autoconf/AutoRegen.sh

Modified: television/trunk/autoconf/AutoRegen.sh
URL: http://llvm.org/viewvc/llvm-project/television/trunk/autoconf/AutoRegen.sh?rev=78944&r1=78943&r2=78944&view=diff

==============================================================================
--- television/trunk/autoconf/AutoRegen.sh (original)
+++ television/trunk/autoconf/AutoRegen.sh Thu Aug 13 16:49:25 2009
@@ -1,28 +1,41 @@
-#!/bin/sh
-die () {
-	echo "$@" 1>&2
-	exit 1
+#!/bin/bash
+
+die() {
+  echo "$@" 1>&2
+  exit 1
 }
+
+clean() {
+  echo $1 | sed -e 's/\\//g'
+}
+
+### NOTE: ############################################################
+### These variables specify the tool versions we want to use.
+### Periods should be escaped with backslash for use by grep.
+want_autoconf_version='2\.61'
+want_autoheader_version=$want_autoconf_version
+want_aclocal_version='1\.10\.1'
+want_libtool_version='1\.5\.26'
+### END NOTE #########################################################
+
 outfile=configure
 configfile=configure.ac
+
+want_autoconf_version_clean=$(clean $want_autoconf_version)
+want_autoheader_version_clean=$(clean $want_autoheader_version)
+want_aclocal_version_clean=$(clean $want_aclocal_version)
+want_libtool_version_clean=$(clean $want_libtool_version)
+
 test -d autoconf && test -f autoconf/$configfile && cd autoconf
 test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
-autoconf --version | egrep '2\.59' > /dev/null
-if test $? -ne 0 ; then
-  die "Your autoconf was not detected as being 2.59"
-fi
-aclocal --version | egrep '1\.9\.2' > /dev/null
-if test $? -ne 0 ; then
-  die "Your aclocal was not detected as being 1.9.2"
-fi
-autoheader --version | egrep '2\.59' > /dev/null
-if test $? -ne 0 ; then
-  die "Your autoheader was not detected as being 2.59"
-fi
-libtool --version | grep '1\.5\.10' > /dev/null
-if test $? -ne 0 ; then
-  die "Your libtool was not detected as being 1.5.10"
-fi
+autoconf --version | grep $want_autoconf_version > /dev/null
+test $? -eq 0 || die "Your autoconf was not detected as being $want_autoconf_version_clean"
+aclocal --version | grep '^aclocal.*'$want_aclocal_version > /dev/null
+test $? -eq 0 || die "Your aclocal was not detected as being $want_aclocal_version_clean"
+autoheader --version | grep '^autoheader.*'$want_autoheader_version > /dev/null
+test $? -eq 0 || die "Your autoheader was not detected as being $want_autoheader_version_clean"
+libtool --version | grep $want_libtool_version > /dev/null
+test $? -eq 0 || die "Your libtool was not detected as being $want_libtool_version_clean"
 echo ""
 echo "### NOTE: ############################################################"
 echo "### If you get *any* warnings from autoconf below you MUST fix the"
@@ -32,12 +45,12 @@
 echo "### present. You should get just three 'Regenerating..' lines."
 echo "######################################################################"
 echo ""
-#echo "Regenerating aclocal.m4 with aclocal 1.9.2"
+#echo "Regenerating aclocal.m4 with aclocal $want_aclocal_version_clean"
 #cwd=`pwd`
 #aclocal --force -I $cwd/m4 || die "aclocal failed"
-echo "Regenerating configure with autoconf 2.59"
+echo "Regenerating configure with autoconf $want_autoconf_version_clean"
 autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
 cd ..
-echo "Regenerating config.h.in with autoheader 2.59"
+#echo "Regenerating config.h.in with autoheader $want_autoheader_version_clean"
 #autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
 exit 0





More information about the llvm-commits mailing list